Package org.bukkit.block

# Interface ChiseledBookshelf

All Superinterfaces:
  `BlockInventoryHolder`, `BlockState`, `InventoryHolder`, `Metadatable`, `PersistentDataHolder`, `TileState`

@Experimental public interface ChiseledBookshelf extends TileState, BlockInventoryHolder
Represents a captured state of a chiseled bookshelf.

## Method Summary

Modifier and Type
Method
Description
`@NotNull ChiseledBookshelfInventory`
`getInventory()`
Get the object's inventory.
`int`
`getLastInteractedSlot()`
Gets the last interacted inventory slot.
`@NotNull ChiseledBookshelfInventory`
`getSnapshotInventory()`
`void`
`setLastInteractedSlot(int lastInteractedSlot)`
Sets the last interacted inventory slot.

### Methods inherited from interface org.bukkit.inventory.BlockInventoryHolder

`getBlock`

### Methods inherited from interface org.bukkit.block.BlockState

`getBlock, getBlockData, getChunk, getData, getDrops, getDrops, getDrops, getLightLevel, getLocation, getLocation, getRawData, getType, getWorld, getX, getY, getZ, isCollidable, isPlaced, setBlockData, setData, setRawData, setType, update, update, update`

### Methods inherited from interface org.bukkit.metadata.Metadatable

`getMetadata, hasMetadata, removeMetadata, setMetadata`

### Methods inherited from interface org.bukkit.block.TileState

`getPersistentDataContainer, isSnapshot`

## Method Details

### getLastInteractedSlot

int getLastInteractedSlot()
Gets the last interacted inventory slot.

Returns:
  the last interacted slot

### setLastInteractedSlot

void setLastInteractedSlot(int lastInteractedSlot)
Sets the last interacted inventory slot.

Parameters:
  `lastInteractedSlot` - the new last interacted slot

### getInventory

@NotNull @NotNull ChiseledBookshelfInventory getInventory()
Description copied from interface: `InventoryHolder`
Get the object's inventory.

Specified by:
  `getInventory` in interface `InventoryHolder`
Returns:
  inventory
See Also:
  - `Container.getInventory()`

### getSnapshotInventory

@NotNull @NotNull ChiseledBookshelfInventory getSnapshotInventory()

Returns:
  snapshot inventory
See Also:
  - `Container.getSnapshotInventory()`